#### 7.10.6.1 ncInit

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncInit(vars);
  list vars containing strings

Return:
  datatypes ncrat and ncrep (and token, tokenstream,
  but they are not meant for users),
  sets ring as 'NCRING' with nc variables from list l

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y", "z"));
    NCRING;
    ==> // coefficients: QQ[I]/(I^2+1) considered as a field
    ==> // number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z
    ==> //        block   2 : ordering C

User manual for Singular version 4.4.1, 2025, generated by texi2html.